Skip to main content
ApiMessages

List conversations

List DM conversations for a connected Instagram Business account. Requires instagram_business_manage_messages.

GET/v1/messages/

Authorization

accessKey
x-access-key<token>

In: header

Query Parameters

platform*string

Platform to fetch conversations from.

Value in"instagram"
accountId*string

Integration ID of the connected account.

limit?integer

Max conversations to return.

Default20
Range1 <= value <= 100
after?string

Pagination cursor from a previous response.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messages/?platform=instagram&accountId=string"
{
  "success": true,
  "selfId": "string",
  "selfUsername": "string",
  "conversations": [
    {
      "id": "string",
      "participants": [
        {
          "id": "string",
          "name": "string",
          "username": "string",
          "profilePictureUrl": "string"
        }
      ],
      "lastMessage": {
        "id": "string",
        "text": "string",
        "from": {
          "id": "string",
          "name": "string"
        },
        "timestamp": "2019-08-24T14:15:22Z"
      },
      "updatedTime": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}
{
  "success": true,
  "message": "string"
}